# Function decodeReturndata

- decodeReturndata(info, successAllocation, status?, id?): Generator<DecoderRequest, ReturndataDecoding[], Uint8Array>

- If there are multiple possibilities, they're always returned in the order: return, revert, returnmessage, failure, empty, bytecode, unknownbytecode Moreover, within "revert", builtin ones are put above custom ones

  #### Parameters

  - ##### info: EvmInfo

  - ##### successAllocation: ReturndataAllocation

  - ##### `Optional` status: boolean

  - ##### `Optional` id: string

  #### Returns Generator<DecoderRequest, ReturndataDecoding[], Uint8Array>

  #### Category

  Decoding

  - Defined in codec/lib/core.ts:605

Generated using TypeDoc